GDB (xrefs)

Public Attributes | List of all members
infcall_control_state Struct Reference

## Public Attributes
struct thread_control_state | thread_control
struct inferior_control_state | inferior_control
enum stop_stack_kind | stop_stack_dummy
int | stopped_by_random_signal
struct frame_id | selected_frame_id

## Detailed Description

Definition at line 8935 of file infrun.c.

## Member Data Documentation

## ◆ inferior_control

struct inferior_control_state infcall_control_state::inferior_control

Definition at line 8938 of file infrun.c.

Referenced by restore_infcall_control_state(), and save_infcall_control_state().

## ◆ selected_frame_id

struct frame_id infcall_control_state::selected_frame_id

Definition at line 8945 of file infrun.c.

Referenced by restore_infcall_control_state(), and save_infcall_control_state().

## ◆ stop_stack_dummy

enum stop_stack_kind infcall_control_state::stop_stack_dummy

Definition at line 8941 of file infrun.c.

Referenced by restore_infcall_control_state(), and save_infcall_control_state().

## ◆ stopped_by_random_signal

int infcall_control_state::stopped_by_random_signal

Definition at line 8942 of file infrun.c.

Referenced by restore_infcall_control_state(), and save_infcall_control_state().

## ◆ thread_control

struct thread_control_state infcall_control_state::thread_control

Definition at line 8937 of file infrun.c.

Referenced by discard_infcall_control_state(), restore_infcall_control_state(), and save_infcall_control_state().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/infrun.c